<!DOCTYPE html>
<html lang="en">

<head>
    <meta http-equiv="Content-Type" content="text/html; charset=UTF-8">
    <!-- Meta, title, CSS, favicons, etc. -->
    <meta charset="utf-8">
    <meta http-equiv="X-UA-Compatible" content="IE=edge">
    <meta name="viewport" content="width=device-width, initial-scale=1">
    <title><?php echo e(config('app.name')); ?></title>
    <!-- Bootstrap core CSS -->
    <link href="<?php echo asset('assets/css/bootstrap.min.css'); ?>" rel="stylesheet">
    <link href="<?php echo asset('assets/css/gentelella_custom.css'); ?>" rel="stylesheet">
    <script src="<?php echo asset('assets/js/jquery.min.js') ?>"></script>
    <link href="<?php echo asset('assets/css/animate.min.css'); ?>" rel="stylesheet">
    
</head>

<body style="background:#F7F7F7;">
    
    <div class="">
        <a class="hiddenanchor" id="toregister"></a>
        <a class="hiddenanchor" id="tologin"></a>
        <div id="wrapper">
            <div id="login" class="animate form">
                <section class="login_content">
                    <form method="POST" action="<?php echo route('loginPost'); ?>" data-parsley-validate >
                         <?php echo csrf_field(); ?>

                        <h1><?php echo e(config('app.name')); ?></h1>
                        <div class="col-md-12" style="margin-bottom: 10px">
                            <div class="col-md-4">
                                <a href="<?php echo e(route('facebookLogin')); ?>"><image src="<?php echo e(asset('photos/facebook.png')); ?>"  /></a>
                            </div>
                            <div class="col-md-4">
                                <a href="<?php echo e(route('twitterLogin')); ?>"><image src="<?php echo e(asset('photos/twitter.png')); ?>"  /></a>
                            </div>
                            <div class="col-md-4">
                                <a href="<?php echo e(route('googleLogin')); ?>"><image src="<?php echo e(asset('photos/google.png')); ?>" /></a>
                            </div>
                        </div>
                        <div class="col-md-12">
                            <input type="text" type="email" name="login_email" value="<?php echo e(old('login_email')); ?>" class="form-control col-md-12" placeholder="E-mail" />
                                <?php $__empty_1 = true; $__currentLoopData = $errors->get('login_email'); $__env->addLoop($__currentLoopData); foreach($__currentLoopData as $Email): $__env->incrementLoopIndices(); $loop = $__env->getLastLoop(); $__empty_1 = false; ?>
                                <label class="alert alert-danger alert-dismissible col-md-12"><?php echo e($Email); ?></label>
                                <?php endforeach; $__env->popLoop(); $loop = $__env->getLastLoop(); if ($__empty_1): ?>
                                <?php endif; ?>
                            <input type="password" name="login_password" class="form-control" placeholder="Password"  />
                                <?php $__empty_1 = true; $__currentLoopData = $errors->get('login_password'); $__env->addLoop($__currentLoopData); foreach($__currentLoopData as $Password): $__env->incrementLoopIndices(); $loop = $__env->getLastLoop(); $__empty_1 = false; ?>
                                <label class="alert alert-danger alert-dismissible col-md-12"><?php echo e($Password); ?></label>
                                <?php endforeach; $__env->popLoop(); $loop = $__env->getLastLoop(); if ($__empty_1): ?>
                                <?php endif; ?>    
                        </div>
                        <div class="col-md-12">
                            <button type="submit" class="btn btn-default submit">Submit</button>
                            <input type="checkbox" name="remember"> Remember Me
                            <a class="reset_pass" href="<?php echo e(route('password.request')); ?>">Lost your password?</a>
                        </div>
                        <div class="clearfix"></div>
                        <?php if(Config::get('sysconfig.registration')): ?>
                        <div class="separator">

                            <p class="change_link">New to site?
                                <a href="#toregister" class="to_register"> Create Account </a>
                            </p>
                            <div class="clearfix"></div>
                            <br />
                        </div>
                        <?php endif; ?>
                    </form>
                    <!-- form -->
                </section>
                <!-- content -->
            </div>
            <?php if(Config::get('sysconfig.registration')): ?>
            <div id="register" class="animate form">
                <section class="login_content">
                    <form method="POST" action="<?php echo route('registerPost'); ?>" data-parsley-validate>
                        <?php echo csrf_field(); ?>

                        <h1>Create Account</h1>
                        <div class="col-md-12">
                            <input type="text" class="form-control" name="first_name" value="<?php echo e(old('first_name')); ?>" placeholder="First Name" />
                            <?php $__empty_1 = true; $__currentLoopData = $errors->get('first_name'); $__env->addLoop($__currentLoopData); foreach($__currentLoopData as $first_name): $__env->incrementLoopIndices(); $loop = $__env->getLastLoop(); $__empty_1 = false; ?>
                                <label class="alert alert-danger alert-dismissible col-md-12"><?php echo e($first_name); ?></label>
                            <?php endforeach; $__env->popLoop(); $loop = $__env->getLastLoop(); if ($__empty_1): ?>
                            <?php endif; ?>
                        </div>
                        <div class="col-md-12">
                            <input type="text" class="form-control" name="last_name" value="<?php echo e(old('last_name')); ?>" placeholder="Last Name" />
                            <?php $__empty_1 = true; $__currentLoopData = $errors->get('last_name'); $__env->addLoop($__currentLoopData); foreach($__currentLoopData as $last_name): $__env->incrementLoopIndices(); $loop = $__env->getLastLoop(); $__empty_1 = false; ?>
                                <label class="alert alert-danger alert-dismissible col-md-12"><?php echo e($last_name); ?></label>
                            <?php endforeach; $__env->popLoop(); $loop = $__env->getLastLoop(); if ($__empty_1): ?>
                            <?php endif; ?>
                        </div>
                        <div class="col-md-12">
                            <input type="text" class="form-control" name="email" value="<?php echo e(old('email')); ?>" placeholder="Username (Your email address)" />
                            <?php $__empty_1 = true; $__currentLoopData = $errors->get('email'); $__env->addLoop($__currentLoopData); foreach($__currentLoopData as $email): $__env->incrementLoopIndices(); $loop = $__env->getLastLoop(); $__empty_1 = false; ?>
                                <label class="alert alert-danger alert-dismissible col-md-12"><?php echo e($email); ?></label>
                            <?php endforeach; $__env->popLoop(); $loop = $__env->getLastLoop(); if ($__empty_1): ?>
                            <?php endif; ?>
                        </div>
                        <div class="col-md-12">
                            <input type="password" class="form-control" name="password" placeholder="Password" />
                            <?php $__empty_1 = true; $__currentLoopData = $errors->get('password'); $__env->addLoop($__currentLoopData); foreach($__currentLoopData as $password): $__env->incrementLoopIndices(); $loop = $__env->getLastLoop(); $__empty_1 = false; ?>
                                <label class="alert alert-danger alert-dismissible col-md-12"><?php echo e($password); ?></label>
                            <?php endforeach; $__env->popLoop(); $loop = $__env->getLastLoop(); if ($__empty_1): ?>
                            <?php endif; ?>
                        </div>
                        <div>
                            <button type="submit" class="btn btn-default submit">Submit</button>
                        </div>
                        <div class="clearfix"></div>
                        <div class="separator">

                            <p class="change_link">Already a member ?
                                <a href="#tologin" class="to_register"> Log in </a>
                            </p>
                            <div class="clearfix"></div>
                        </div>
                    </form>
                    <!-- form -->
                </section>
                <!-- content -->
            </div>
            <?php endif; ?>
            <div id="passwordreset" class="animate form">
                <section class="login_content">
                    <form method="POST" action="<?php echo e(url('/password/reset')); ?>" data-parsley-validate>
                        <?php echo csrf_field(); ?>

                        <h1>Password Reset</h1>
                        <div>
                            <input type="email" class="form-control" name="email" placeholder="Email" required="" />
                        </div>
                        <div>
                            <button type="submit" class="btn btn-default submit">Submit</button>
                        </div>
                        <div class="clearfix"></div>
                        <div class="separator">

                            <p class="change_link">Already a member ?
                                <a href="#tologin" class="to_register"> Log in </a>
                            </p>
                            <div class="clearfix"></div>
                        </div>
                    </form>
                    <!-- form -->
                </section>
                <!-- content -->
            </div>
        </div>
    </div>
</body>
</html><?php /**PATH /var/www/html/AppBuilderV4/resources/views/templates/gentelella/frontPageLayout.blade.php ENDPATH**/ ?>